#ifndef KAFFEINEPREMIEREEPG_H
#define KAFFEINEPREMIEREEPG_H

#include <kaffeine/kaffeinedvbevents.h>



class KaffeinePremiereEpg : public KaffeineEpgPlugin
{
	Q_OBJECT
public:

	KaffeinePremiereEpg( QWidget*, const char*, QObject*, const char*, const QStringList& );
	~KaffeinePremiereEpg();
	bool go( QString src, int freqKHz );
	void stop();
	void run();

	static KAboutData* createAboutData();

private:

	bool extEventForCID(unsigned char *buf, EventDesc *desc );
	bool shortEventForCID(unsigned char* buf, EventDesc *desc);
	unsigned int crc16(unsigned int crc, unsigned char const *p, int len);
	bool contentTransmissionTable( unsigned char* buffer, EventDesc *desc );
	bool tableCIT( unsigned char* buffer );
	
	int pid;
	EventSource *currentSrc;
};
#endif // KAFFEINEPREMIEREEPG_H
